<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		a, a:hover {
			background: transparent;
			border-bottom: 1px dotted #666;
			color: #666;
			text-decoration: none;		
		}

		a:hover {
			border: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
			text-align: left;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Array Utility</h1>

		<p>The Array utlity contains functions that help when working with arrays.  You load this utility using the
		following piece of code.</p>

		<div class="example">
			$this->load->utility('array');
		</div>
	</div>

	<div class="content">
		<h1>element()</h1>

		<p>This lets you fetch an item from the array.  The function tests whether the array index is set and whether
		it has a value.  If a value exists it is returned.  If a value does not exist if returns <b>false</b>, or whatever
		is specified in the default value parameter.</p>

		<div class="example">
			$array = array('color' =>; 'red', 'shape' => 'round', 'size' => '');<br />
			<br />
			// returns "red"<br />
			echo element('color', $array);<br />
			<br />
			// returns NULL<br />
			echo element('size', $array, NULL);
		</div>
	</div>

	<div class="content">
		<h1>random_element()</h1>

		<p>Takes an array as input and returns a random element from it.</p>

		<div class="example">
			$quotes = array(<br />
			&nbsp;&nbsp;&nbsp;&nbsp;"I find that the harder I work, the more luck I seem to have. - Thomas Jefferson",<br />
			&nbsp;&nbsp;&nbsp;&nbsp;"Don't stay in bed, unless you can make money in bed. - George Burns",<br />
			&nbsp;&nbsp;&nbsp;&nbsp;"We didn't lose the game; we just ran out of time. - Vince Lombardi",<br />
			&nbsp;&nbsp;&nbsp;&nbsp;"If everything seems under control, you're not going fast enough. - Mario Andretti",<br />
			&nbsp;&nbsp;&nbsp;&nbsp;"Reality is merely an illusion, albeit a very persistent one. - Albert Einstein",<br />
			&nbsp;&nbsp;&nbsp;&nbsp;"Chance favors the prepared mind - Louis Pasteur"<br />
			);<br />
			<br />
			echo random_element($quotes);<br />
		</div>
	</div>
</body>

</html>
